=== debian/changelog ===
libime (1.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Jan 2024 23:30:20 -0500

libime (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jan 2024 10:02:08 -0500

libime (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Nov 2023 15:18:55 -0400
