=== debian/changelog ===
libime (1.1.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jul 2024 15:59:24 -0400

libime (1.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:06:56 -0400

libime (1.1.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Apr 2024 16:20:05 -0400

libime (1.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Apr 2024 20:31:59 -0400

libime (1.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:16:26 -0400
