=== debian/changelog ===
libime (1.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jan 2025 12:54:18 -0500
