## libime 1.1.10%2Bdict20250327

=== debian/changelog ===
libime (1.1.10+dict20250327-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Aug 2025 13:35:00 -0400

libime (1.1.10+dict20250327-1) unstable; urgency=medium

  * New upstream snapshot with new extb dictionary.
  * debian/control: Move package description to the source package section.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Apr 2025 10:11:00 -0400

libime (1.1.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Feb 2025 13:59:07 -0500
