=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -24,12 +24,19 @@
 install(TARGETS libime_tabledict DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT tools)
 add_executable(LibIME::tabledict ALIAS libime_tabledict)
 
+add_library(filesystem_helper STATIC filesystem_helper.cpp)
+if (HAS_STD_FILESYSTEM)
+    target_compile_definitions(filesystem_helper PRIVATE -DHAS_STD_FILESYSTEM)
+else()
+    target_link_libraries(filesystem_helper PUBLIC Boost::filesystem)
+endif()
+
 add_executable(libime_migrate_fcitx4_table libime_migrate_fcitx4_table.cpp)
-target_link_libraries(libime_migrate_fcitx4_table LibIME::Table Boost::iostreams Boost::filesystem)
+target_link_libraries(libime_migrate_fcitx4_table LibIME::Table Boost::iostreams filesystem_helper)
 install(TARGETS libime_migrate_fcitx4_table DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT tools)
 add_executable(LibIME::migrate_fcitx4_table ALIAS libime_migrate_fcitx4_table)
 
 add_executable(libime_migrate_fcitx4_pinyin libime_migrate_fcitx4_pinyin.cpp)
-target_link_libraries(libime_migrate_fcitx4_pinyin LibIME::Pinyin Boost::iostreams Boost::filesystem)
+target_link_libraries(libime_migrate_fcitx4_pinyin LibIME::Pinyin Boost::iostreams filesystem_helper)
 install(TARGETS libime_migrate_fcitx4_pinyin DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT tools)
 add_executable(LibIME::migrate_fcitx4_pinyin ALIAS libime_migrate_fcitx4_pinyin)
