## libime 1.1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.12)
-project(libime VERSION 1.1.10)
+project(libime VERSION 1.1.11)
 set(LibIME_VERSION ${PROJECT_VERSION})
 
 find_package(ECM 1.0 REQUIRED)
@@ -34,20 +34,14 @@
 pkg_check_modules(ZSTD REQUIRED IMPORTED_TARGET "libzstd")
 
 find_package(Fcitx5Utils REQUIRED)
+
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 
-include(CheckCXXSourceCompiles)
-check_cxx_source_compiles("
-#include <filesystem>
-int main() {
-    return std::filesystem::absolute(\".\").string()[0] == '/';
-}
-" HAS_STD_FILESYSTEM)
-
-find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
-if (NOT HAS_STD_FILESYSTEM)
-    find_package(Boost REQUIRED COMPONENTS filesystem)
-endif()
+find_package(Boost 1.61 CONFIG REQUIRED COMPONENTS iostreams)
 
 set(LIBIME_INSTALL_PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/libime")
 set(LIBIME_INSTALL_LIBDATADIR "${CMAKE_INSTALL_FULL_LIBDIR}/libime")
