=== src/libime/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(pinyin)
add_subdirectory(table)
