=== debian/changelog ===
libime (1.1.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: No longer build-depends on libboost-filesystem-dev.
  * debian/copyright: Minor updates.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 10:34:08 -0400
