=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  libboost-dev (>= 1.61),
- libboost-filesystem-dev (>= 1.61),
  libboost-iostreams-dev (>= 1.61),
  libdouble-conversion-dev (>= 3.1.5-5~),
  libfcitx5utils-dev (>= 5.1~),
